/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/28
 */
package org.springblade.modules.business.data.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.etl.entity.EtlRainDataEntity;
import org.springblade.modules.business.data.dto.RtuDataRainDTO;
import org.springblade.modules.business.data.entity.RtuDataRainEntity;
import org.springblade.modules.business.data.mapper.RtuDataRainMapper;
import org.springblade.modules.business.data.service.IRtuDataRainService;
import org.springblade.modules.business.data.vo.RtuDataRainVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/***
 * Date:2022/8/28
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuDataRainServiceImpl extends BaseServiceImpl<RtuDataRainMapper, RtuDataRainEntity> implements IRtuDataRainService {

	@Override
	public IPage<RtuDataRainVO> selectPage(IPage<RtuDataRainVO> page, RtuDataRainDTO rtuDataRainDTO) {
		return page.setRecords(baseMapper.selectPage(page, rtuDataRainDTO));
	}

	@Override
	public boolean updateRainInfo(RtuDataRainEntity entity) {
		LambdaQueryWrapper<RtuDataRainEntity> dataWrapper = Wrappers.<RtuDataRainEntity>query().lambda();
		dataWrapper.eq(RtuDataRainEntity::getRtuCode, entity.getRtuCode());
		dataWrapper.eq(RtuDataRainEntity::getIsDeleted, 0);
		RtuDataRainEntity rainEntity = this.getOne(dataWrapper);
		if (null != rainEntity) {
			entity.setId(rainEntity.getId());
		}
		entity.setUpdateTime(new Date());
		return this.saveOrUpdate(entity);
	}
}
